package com.danitheskunk.skunkworks;

public interface IRenderContext {
	void drawNineSlice(NineSlice slice, Recti rect); //todo: add rounding mode
	void drawRectangle(Recti rect, Color color);
	void drawString(Vec2i pos, String string, IFont font);
	void drawTexture(Vec2i pos, ITexture texture);
	void drawTexture(Vec2i pos, ITexture texture, Color color);
	void drawTextureRectangle(Recti rect, ITexture texture);
	void drawTextureRectangle(Recti rect, ITexture texture, Color color);
	//todo: drawTextureRectangleRepeat
}
